/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-table {
  table {
    background-color: transparent;
    border-collapse: collapse;
    margin-bottom: $space-default;
    max-width: 100%;
    width: 100%;
  }

  td,
  th {
    padding: $space-default;
  }

  thead {
    text-align: left;

    th {
      border: 0;
      border-bottom: 2px solid var(--nv-border-color);
      vertical-align: bottom;
    }
  }

  &.nv-table-striped tbody tr:nth-of-type(odd) {
    background-color: var(--nv-theme-alt-1);
  }

  // Border
  &.nv-table-bordered td,
  &.nv-table-bordered th {
    border: 1px solid var(--nv-border-color);
  }

  //
  // Hover
  //
  &.nv-table-striped tbody tr:hover,
  &.hover tbody tr:hover {
    background-color: rgba($theme-dark, 0.08);
  }

  tbody {
    tr {
      background-color: $white;
      border-top: 1px solid var(--nv-border-color);
      padding: $space-default;
      text-align: left;
      vertical-align: middle;

      &:hover {
        background-color: rgba($theme-dark, 0.08);
      }
    }

    td {
      border: 0;
    }
  }

  //Size
  &.small td {
    padding: $space-sm;
  }

  //
  // Dark theme
  //

  &.nv-table-dark {
    table {
      background-color: var(--nv-theme-dark);
      color: $white !important;
    }

    thead th {
      border-bottom: 2px solid var(--nv-border-color-dark);
      color: $white;
    }

    tr {
      background-color: var(--nv-theme-dark);
    }

    td,
    th {
      border-top: 1px solid var(--nv-border-color-dark);
      color: $white;
    }

    &.nv-table-striped tbody tr:nth-of-type(odd) {
      background-color: var(--nv-theme-dark-1);
    }

    // 
    // Hover
    //
    &.nv-table-striped tbody tr:hover,
    tbody tr:hover {
      background-color: rgba($theme-light, 0.05);
    }

    &.nv-table-bordered td,
    &.nv-table-bordered th {
      border: 1px solid var(--nv-border-color-dark);
    }
  }

  &.light {
    background-color: var(--nv-theme-light);
  }

  &.nv-table-thead-light {
    th {
      background-color: var(--nv-theme-light);
      color: var(--nv-type-primary-dark) !important;
    }
  }

  &.nv-table-thead-dark {
    th {
      background-color: var(--nv-theme-dark);
      border-bottom: 2px solid var(--nv-border-color-dark);
      color: var(--nv-type-primary-light);
    }
  }
}

.table-responsive {
  display: block;
  overflow-x: auto;
  width: 100%;
}
